package com.patzn.lims.equip.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.equip.entity.LmsEquipScrapDetail;
import com.patzn.lims.equip.vo.LmsEquipScrapDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 仪器报废详情信息表 Mapper 接口
 * </p>
 *
 * @author patzn
 * @since 2017-11-30
 */
public interface LmsEquipScrapDetailMapper extends BaseMapper<LmsEquipScrapDetail> {

    List<LmsEquipScrapDetailVO> selectPageVO(Page page, @Param("ew") LmsEquipScrapDetailVO lmsEquipScrapDetailVO);

    List<LmsEquipScrapDetailVO> selectPageVO(@Param("ew") LmsEquipScrapDetailVO lmsEquipScrapDetailVO);

    LmsEquipScrapDetailVO selectVOById(@Param("id") Long id);

   List <LmsEquipScrapDetail> selectReason(@Param("value") String value);

    List <LmsEquipScrapDetail> selectRemark(@Param("value") String value);
}
